你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Prefixes - Get

获取具有给定订阅、资源组和对等互连服务下指定名称的现有前缀。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Peering/peeringServices/{peeringServiceName}/prefixes/{prefixName}?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Peering/peeringServices/{peeringServiceName}/prefixes/{prefixName}?api-version=2025-05-01&$expand={$expand}

URI 参数

名称 必需 类型 说明
peeringServiceName
path True

string

pattern: [A-Za-z0-9_.-]{1,63}

对等互连的名称。

prefixName
path True

string

pattern: [A-Za-z0-9_.-]{1,63}

前缀的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

$expand
query

string

要展开的属性。

响应

名称 类型 说明
200 OK

PeeringServicePrefix

Azure 操作已成功完成。

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Get a prefix associated with the peering service

示例请求

GET https://management.azure.com/subscriptions/subId/resourceGroups/rgName/providers/Microsoft.Peering/peeringServices/peeringServiceName/prefixes/peeringServicePrefixName?api-version=2025-05-01

示例响应

{
  "name": "peeringServicePrefixName",
  "id": "/subscriptions/subId/resourceGroups/rgName/providers/Microsoft.Peering/peeringServices/peeringServiceName/prefixes/peeringServicePrefixName",
  "properties": {
    "learnedType": "ViaServiceProvider",
    "peeringServicePrefixKey": "00000000-0000-0000-0000-000000000000",
    "prefix": "192.168.1.0/24",
    "prefixValidationState": "Verified",
    "provisioningState": "Succeeded"
  }
}

定义

名称 说明
createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

LearnedType

前缀已学习类型

PeeringServicePrefix

对等互连服务前缀类。

PeeringServicePrefixEvent

与前缀关联的事件的详细信息。

PrefixValidationState

前缀验证状态。

ProvisioningState

资源的预配状态。

systemData

与创建和上次修改资源相关的元数据。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

其他信息。

type

string

其他信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

LearnedType

前缀已学习类型

说明
None
ViaServiceProvider
ViaSession

PeeringServicePrefix

对等互连服务前缀类。

名称 类型 说明
id

string

资源的完全限定资源 ID。 示例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

资源的名称

properties.errorMessage

string

验证状态的错误消息

properties.events

PeeringServicePrefixEvent[]

对等互连服务前缀的事件列表

properties.learnedType

LearnedType

前缀已学习类型

properties.peeringServicePrefixKey

string

对等互连服务前缀密钥

properties.prefix

string

流量源自的前缀。

properties.prefixValidationState

PrefixValidationState

前缀验证状态

properties.provisioningState

ProvisioningState

资源的预配状态。

systemData

systemData

包含 createdBy 和 modifiedBy 信息的 Azure 资源管理器元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

PeeringServicePrefixEvent

与前缀关联的事件的详细信息。

名称 类型 说明
eventDescription

string

与前缀关联的事件的描述。

eventLevel

string

与前缀关联的事件级别。

eventSummary

string

与前缀关联的事件摘要。

eventTimestamp

string (date-time)

与前缀关联的事件的时间戳。

eventType

string

与前缀关联的事件类型。

PrefixValidationState

前缀验证状态。

说明
None
Invalid
Verified
Failed
Pending
Warning
Unknown

ProvisioningState

资源的预配状态。

说明
Succeeded
Updating
Deleting
Failed
Canceled

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

资源上次修改的时间戳 (UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。